be.ehealth.technicalconnector.session

## Interface SessionItem

- All Superinterfaces:
    SessionItemView
  All Known Implementing Classes:
    SessionItemImpl

      public interface SessionItem
      extends SessionItemView

  The SessionItem class is a base class for all objects that are included in a session

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addSAMLToken(SAMLToken token)`
    `void` | `setEncryptionCredential(Credential encryptionCredential)` Sets the personal credential.
    `void` | `setEncryptionPrivateKeys(Map<String,PrivateKey> encryptionPrivateKeys)` Sets the personaldecryption keys.
    `void` | `setHeaderCredential(Credential headerCredential)`
    `void` | `setHolderOfKeyCredential(Credential hokCredential)` Sets the system credential.
    `void` | `setHolderOfKeyPrivateKeys(Map<String,PrivateKey> hokPrivateKeys)` Sets the system decryption keys.
    `default void` | `setSAMLToken(SAMLToken token)` Deprecated.

    - ### Methods inherited from interface be.ehealth.technicalconnector.session.SessionItemView

      `getActiveSAMLTokenVersions, getEncryptionCredential, getEncryptionCrypto, getEncryptionPrivateKeys, getHeaderCredential, getHolderOfKeyCredential, getHolderOfKeyCrypto, getHolderOfKeyPrivateKeys, getSAMLToken, getSAMLToken, getSAMLTokenContainer`

- - ### Method Detail

    - #### setSAMLToken

          @Deprecated
          default void setSAMLToken(SAMLToken token)

      Deprecated.
      This method will set the samltoken when created
      Parameters:
        `token` -

    - #### addSAMLToken

          void addSAMLToken(SAMLToken token)
                     throws TechnicalConnectorException

      Throws:
        `TechnicalConnectorException`

    - #### setHolderOfKeyCredential

          void setHolderOfKeyCredential(Credential hokCredential)

      Sets the system credential.
      Parameters:
        `hokCredential` - the hok credential

    - #### setHolderOfKeyPrivateKeys

          void setHolderOfKeyPrivateKeys(Map<String,PrivateKey> hokPrivateKeys)

      Sets the system decryption keys.
      Parameters:
        `hokPrivateKeys` - the system decryption keys

    - #### setEncryptionCredential

          void setEncryptionCredential(Credential encryptionCredential)

      Sets the personal credential.
      Parameters:
        `encryptionCredential` - the new personal credential

    - #### setEncryptionPrivateKeys

          void setEncryptionPrivateKeys(Map<String,PrivateKey> encryptionPrivateKeys)

      Sets the personaldecryption keys.
      Parameters:
        `encryptionPrivateKeys` - the personaldecryption keys

    - #### setHeaderCredential

          void setHeaderCredential(Credential headerCredential)

      Parameters:
        `headerCredential` - the headerCredential to set

Connector Packaging PERSPHYSICIAN 4.9.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.